Bug 188830 - CVE-2006-0749 Mozilla Firefox Tag Order Vulnerability
Summary: CVE-2006-0749 Mozilla Firefox Tag Order Vulnerability
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox
Version: 4.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:28 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0328
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-25 13:47:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0328 normal SHIPPED_LIVE Critical: firefox security update 2006-04-14 04:00:00 UTC

Description Josh Bressers 2006-04-13 03:28:20 UTC
Mozilla Firefox Tag Order Vulnerability


A particular sequence of HTML tags that reliably crash Mozilla clients was
reported  by an anonymous researcher via TippingPoint and the Zero Day
Initiative. The crash is due to memory corruption that can be exploited to
run arbitary code.

Mozilla mail clients will crash on the tag sequence, but without the ability
to run scripts to fill memory with the attack code it may not be possible
for an attacker to exploit this crash.

Workaround

Upgrade to a fixed version.

References

[1]ZDI-06-008
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=320182
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=269095
CVE-2006-0749

Comment 2 Josh Bressers 2006-04-14 15:00:21 UTC
Lifting embargo

Comment 4 Josh Bressers 2006-04-14 15:02:26 UTC
Lifting embargo

Comment 5 Red Hat Bugzilla 2006-04-14 15:50:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html


Comment 6 Red Hat Bugzilla 2006-04-25 13:47:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0328.html



Note You need to log in before you can comment on or make changes to this bug.